#include <iostream>

using namespace std;

int main()
{
    int N, M, dr[100], p[100][100], brojacp[100]={0}, sreca=0, brojacn[100]={0};

    cin>>N>>M;

    for(int i=1;i<=N;i++)
    {
        cin>>dr[i];
    }

    for(int y=1;y<=M;y++)
    {
        cin>>p[1][y]>>p[2][y];
        for(int i=1;i<=N;i++)
        {
            if(p[1][y]==i || p[2][y]==i)
            {
                if(dr[p[1][y]]>0 && dr[p[2][y]]>0)
                {
                    brojacp[i]++;
                }
                else
                {
                    brojacn[i]++;
                }
            }
        }
    }

    for(int i=1;i<=N;i++)
    {
        sreca+=dr[i]*(brojacp[i]-brojacn[i]);
    }


    cout<<sreca;

    return 0;
}